Bug 879170 - [fr_FR][SAM Web GUI] - Untranslated strings in SAM Web GUI
[fr_FR][SAM Web GUI] - Untranslated strings in SAM Web GUI
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
All Linux
high Severity high
: rc
: ---
Assigned To: Tom McKay
sthirugn@redhat.com
: Translation
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-22 04:17 EST by Satyabrata Maitra
Modified: 2013-02-21 14:20 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Many strings that were previously unlocalized are now properly passed through the localization system. This includes dates on many of the pages.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:20:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satyabrata Maitra 2012-11-22 04:17:54 EST
Description of problem:
in fr_FR (French) locale, there are strings which is showing in English, instead of French language.

Version-Release number of selected component (if applicable):
katello-headpin-all-1.2.5-1h.el6_3
Subscription Asset Manager Version: 1.2.5-1h.el6_3

How reproducible:
always.

Steps to Reproduce:
1. Login into SAM Web GUI with credentials
2. Set the preferred locale from the User Button above-right side of the page.
3. Check for the untranslated string and translate those.
  
Actual results:
Strings are untranslated in few places.

Expected results:
It should be 100% translated.

Additional info:
Probable scenarios where the strings are untranslated and their locations :
1. Contents Tab --> Import Manifest :
   Upload new manifest strings.
   Delete Manifest button.
   The text in the Delete Manifest confirmation box appears.
2. It looks there are some strings untranslated in About page.
   Administrator --> About
Comment 1 Tom McKay 2012-12-06 11:50:13 EST
About page in progress now
Comment 2 sthirugn@redhat.com 2012-12-17 15:12:50 EST
Tested and verified good with the following comments:
- Issue 1 described in the defect is now fixed and it looks good
- Issue 2 described in this defect is already being tracked under a separate bug for all languages.  https://bugzilla.redhat.com/show_bug.cgi?id=877310


Version Tested:
* candlepin-0.7.19-1.el6_3.noarch
* candlepin-tomcat6-0.7.19-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.4-4h.el6_3.noarch
* katello-cli-common-1.2.4-4h.el6_3.noarch
* katello-common-1.2.6-6h.el6_3.noarch
* katello-configure-1.2.3-1h.el6_3.noarch
* katello-glue-candlepin-1.2.6-6h.el6_3.noarch
* katello-headpin-1.2.6-6h.el6_3.noarch
* katello-headpin-all-1.2.6-6h.el6_3.noarch
* katello-selinux-1.2.1-1h.el6_3.noarch
* thumbslug-0.0.27-1.el6_3.noarch
* thumbslug-selinux-0.0.27-1.el6_3.noarch
Comment 4 errata-xmlrpc 2013-02-21 14:20:17 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.